/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service;

import gov.va.med.esr.common.util.AbstractServiceTestCase;

/**
 * Initial javadoc for class MockServiceTest.
 * TODO - Add content here
 * 
 * Created Nov 2, 2005 1:37:14 PM
 * @author DNS   BOHMEG
 */
public class MockServiceTest extends AbstractServiceTestCase {
	private MockService1 mockService1;
	
	public void testTransactionalMethod() {
		mockService1.processMock();
	}
	
	public void testNonTransactionalMethod() {
		mockService1.getMock();
	}
	
	public void testNestedTransactions() {
		mockService1.processNestedMock();
	}

	/**
	 * @return Returns the mockService.
	 */
	public MockService1 getMockService1() {
		return mockService1;
	}

	/**
	 * @param mockService The mockService to set.
	 */
	public void setMockService1(MockService1 mockService) {
		this.mockService1 = mockService;
	}
}
